<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
  "https://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.tsy.data.idsse.dsds.mapper.dict.DictUnitSailMapper">
 
  <!-- 分页查询 -->
  <select id="sailWithPage" resultType="map">
	select * from dict_unit_sail where 1=1  
	<if test="query != null and query != ''">
      and (unit_name like concat('%',#{query},'%')  or link_man like concat('%',#{query},'%')) 
    </if>
    <if test="order != null and order != ''">
		ORDER BY ${order} 
	</if>
	<if test="type != null and (type == 'DESC')">
	 	DESC
	</if>	
  </select>
  
  
  
</mapper>